"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose = require("mongoose");
const Config_1 = require("../src/utils/Config");
(async function () {
    try {
        const config = Config_1.getConfig();
        const { mongo_uri } = config;
        await mongoose.connect(mongo_uri, {
            useNewUrlParser: true,
            useCreateIndex: true,
            useFindAndModify: false,
            useUnifiedTopology: true,
            ssl: true,
        });
    }
    catch (error) {
        console.error(new Error("Failed to connect to the server!"));
    }
})();
